piratebay: flake8 / Python 3 compatibility

10 jobs from master in 2 minutes and 36 seconds (queued for 62 minutes and 9 seconds)
Status Job ID Name Coverage
  Build
passed #12440
build:2.7

00:00:31

passed #12441
build:3

00:00:30

 
  Test
failed #12443
allowed to fail
lint:2.7

00:00:30

failed #12446
allowed to fail
lint:3

00:00:29

passed #12442
pyflakes:2.7

00:00:40

passed #12445
pyflakes:3

00:00:40

failed #12444
unittests:2.7

00:00:31

failed #12447
unittests:3

00:00:28

 
  Deploy
skipped #12448
doc:2.7
skipped #12449
doc:3
 
Name Stage Failure
failed
lint:3 Test There is an unknown failure, please try again
2018-09-16 18:48:52,668:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module voyagessncf: [ImportError] This module isn't compatible with python3
2018-09-16 18:48:52,675:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module wellsfargo: [ModuleNotFoundError] No module named 'Cookie'
2018-09-16 18:48:52,699:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 18:48:52,702:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ModuleNotFoundError] No module named 'Cryptodome'
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
Errors building modules: apivie, arretsurimages, attilasub, aum, batoto, bouygues, canaltp, cappedtv, chronopost, dailymotion, dlfp, eatmanga, ehentai, europarl, fourchan, gazelle, gdcvault, gdfsuez, genericnewspaper, geolocip, happn, hds, ilmatieteenlaitos, izneo, jacquieetmichel, jvmalin, lacentrale, leclercmobile, lefigaro, liberation, mangafox, mangago, mangahere, mangareader, nettokom, newsfeed, nihonnooto, opacwebaloes, phpbb, presseurop, sfr, simplyreadit, tapatalk, trictractv, unsee, ups, voyagessncf, wellsfargo, youtube, zerobin
Use --debug to get more information.
ERROR: Build failed: exit code 1
failed
unittests:3 Test There is an unknown failure, please try again
2018-09-16 18:49:12,193:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module voyagessncf: [ImportError] This module isn't compatible with python3
2018-09-16 18:49:12,200:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module wellsfargo: [ModuleNotFoundError] No module named 'Cookie'
2018-09-16 18:49:12,225:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 18:49:12,229:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ModuleNotFoundError] No module named 'Cryptodome'
Errors building modules: apivie, arretsurimages, attilasub, aum, batoto, bouygues, canaltp, cappedtv, chronopost, dailymotion, dlfp, eatmanga, ehentai, europarl, fourchan, gazelle, gdcvault, gdfsuez, genericnewspaper, geolocip, happn, hds, ilmatieteenlaitos, izneo, jacquieetmichel, jvmalin, lacentrale, leclercmobile, lefigaro, liberation, mangafox, mangago, mangahere, mangareader, nettokom, newsfeed, nihonnooto, opacwebaloes, phpbb, presseurop, sfr, simplyreadit, tapatalk, trictractv, unsee, ups, voyagessncf, wellsfargo, youtube, zerobin
Use --debug to get more information.
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
ERROR: Build failed: exit code 1
failed
unittests:2.7 Test There is an unknown failure, please try again
2018-09-16 18:48:18,506:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module phpbb: [ImportError] Please install python-feedparser
2018-09-16 18:48:18,524:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module presseurop: [ImportError] Please install python-feedparser
2018-09-16 18:48:20,936:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 18:48:20,940:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ImportError] No module named Cryptodome.Cipher
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
Errors building modules: genericnewspaper, presseurop, bouygues, dlfp, happn, youtube, liberation, zerobin, newsfeed, phpbb, lefigaro
Use --debug to get more information.
ERROR: Build failed: exit code 1
failed
lint:2.7 Test There is an unknown failure, please try again
2018-09-16 18:47:46,388:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module phpbb: [ImportError] Please install python-feedparser
2018-09-16 18:47:46,412:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module presseurop: [ImportError] Please install python-feedparser
2018-09-16 18:47:48,156:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 18:47:48,158:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ImportError] No module named Cryptodome.Cipher
Errors building modules: genericnewspaper, presseurop, bouygues, dlfp, happn, youtube, liberation, zerobin, newsfeed, phpbb, lefigaro
Use --debug to get more information.
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
ERROR: Build failed: exit code 1